Can’t Install Gd-devel On CentOS 7.1

Home » CentOS » Can’t Install Gd-devel On CentOS 7.1
CentOS 6 Comments

Hey guys,

I’m trying to instal gd-devel onto a CentOS 7 host.

–> Finished Dependency Resolution Error: Package: gd-last-devel-2.1.1-2.el7.remi.x86_64 (remi)
Requires: libvpx-devel(x86-64)
You could try using –skip-broken to work around the problem You could try running: rpm -Va –nofiles –nodigest

But when I try to do that I get the error you see above.

These are the repos I have installed and enabled:

repo id repo name
status epel/x86_64 Extra Packages for Enterprise 7,718
puppetlabs-deps/x86_64 Puppet Labs Dependencies El 7 17
puppetlabs-products/x86_64 Puppet Labs Products El 7
– x 162
remi Les RPM de remi pour Enterpri 1,928
rhui-REGION-client-config-server-7/x86_64 Red Hat Update Infrastructure 4
rhui-REGION-rhel-server-releases/7Server/x86_64 Red Hat Enterprise Linux Serv 6,851
rhui-REGION-rhel-server-rh-common/7Server/x86_64 Red Hat Enterprise Linux Serv 131
rpmforge RHEL 7Server –
RPMforge.net – 245
webtatic/x86_64 Webtatic Repository EL7 –
x86 519

I originally had nothing more than the base CentOS repo enabled. Along with the puppetlabs repo and epel when I first encountered this error. But then I tried adding some repos to find out if I could find the needed package in any of them.

The package that it seems to be complaining about not having is called: libvpx-devel(x86-64)

But when I try to instal that this is the result I get:

[root@monitor1:~] #yum install libvpx-devel Loaded plugins: amazon-id, rhui-lb No package libvpx-devel available. Error: Nothing to do

Does anybody have any ideas on how I can get around this problem? I only want to install gd-devel. Seems like it should be so simple! But not in this case. :(

Thanks!!
Tim

6 thoughts on - Can’t Install Gd-devel On CentOS 7.1

  • As others said, that RHUI stuff suggests licensed redhat subscriptions, NOT CentOS.

    here’s a stock CentOS 7.1, that only has EPEL enabled.

    # cat /etc/redhat-release CentOS Linux release 7.1.1503 (Core)

    # yum install gd-devel Loaded plugins: fastestmirror base | 3.6 kB 00:00:00
    epel/x86_64/metalink | 14 kB 00:00:00
    epel | 4.4 kB 00:00:00
    extras | 3.4 kB 00:00:00
    updates | 3.4 kB 00:00:00
    epel/x86_64/primary_db | 4.2 MB 00:00:00
    (1/2): epel/x86_64/updateinfo | 358 kB 00:00:00
    (2/2): epel/x86_64/pkgtags | 1.4 MB 00:00:00
    Loading mirror speeds from cached hostfile
    * base: CentOS.sonn.com
    * epel: mirror.prgmr.com
    * extras: mirrors.usc.edu
    * updates: mirrors.usc.edu Resolving Dependencies
    –> Running transaction check
    —> Package gd-devel.x86_64 0:2.0.35-26.el7 will be installed
    –> Processing Dependency: gd = 2.0.35-26.el7 for package:
    gd-devel-2.0.35-26.el7.x86_64
    –> Processing Dependency: zlib-devel for package:
    gd-devel-2.0.35-26.el7.x86_64
    –> Processing Dependency: libpng-devel for package:
    gd-devel-2.0.35-26.el7.x86_64
    –> Processing Dependency: libjpeg-devel for package:
    gd-devel-2.0.35-26.el7.x86_64
    –> Processing Dependency: libXpm-devel for package:
    gd-devel-2.0.35-26.el7.x86_64
    –> Processing Dependency: libX11-devel for package:
    gd-devel-2.0.35-26.el7.x86_64
    –> Processing Dependency: freetype-devel for package:
    gd-devel-2.0.35-26.el7.x86_64
    –> Processing Dependency: fontconfig-devel for package:
    gd-devel-2.0.35-26.el7.x86_64
    –> Processing Dependency: libgd.so.2()(64bit) for package:
    gd-devel-2.0.35-26.el7.x86_64
    –> Running transaction check
    —> Package fontconfig-devel.x86_64 0:2.10.95-7.el7 will be installed
    –> Processing Dependency: pkgconfig(expat) for package:
    fontconfig-devel-2.10.95-7.el7.x86_64
    —> Package freetype-devel.x86_64 0:2.4.11-10.el7_1.1 will be installed
    —> Package gd.x86_64 0:2.0.35-26.el7 will be installed
    –> Processing Dependency: libXpm.so.4()(64bit) for package:
    gd-2.0.35-26.el7.x86_64
    —> Package libX11-devel.x86_64 0:1.6.0-2.1.el7 will be installed
    –> Processing Dependency: pkgconfig(xcb) >= 1.1.92 for package:
    libX11-devel-1.6.0-2.1.el7.x86_64
    –> Processing Dependency: pkgconfig(xproto) for package:
    libX11-devel-1.6.0-2.1.el7.x86_64
    –> Processing Dependency: pkgconfig(xcb) for package:
    libX11-devel-1.6.0-2.1.el7.x86_64
    –> Processing Dependency: pkgconfig(kbproto) for package:
    libX11-devel-1.6.0-2.1.el7.x86_64
    —> Package libXpm-devel.x86_64 0:3.5.10-5.1.el7 will be installed
    —> Package libjpeg-turbo-devel.x86_64 0:1.2.90-5.el7 will be installed
    —> Package libpng-devel.x86_64 2:1.5.13-5.el7 will be installed
    —> Package zlib-devel.x86_64 0:1.2.7-13.el7 will be installed
    –> Running transaction check
    —> Package expat-devel.x86_64 0:2.1.0-8.el7 will be installed
    —> Package libXpm.x86_64 0:3.5.10-5.1.el7 will be installed
    —> Package libxcb-devel.x86_64 0:1.9-5.el7 will be installed
    –> Processing Dependency: pkgconfig(xau) >= 0.99.2 for package:
    libxcb-devel-1.9-5.el7.x86_64
    —> Package xorg-x11-proto-devel.noarch 0:7.7-8.el7.1 will be installed
    –> Running transaction check
    —> Package libXau-devel.x86_64 0:1.0.8-2.1.el7 will be installed
    –> Finished Dependency Resolution

    Dependencies Resolved

    ============================================================================================================================================================================================== Package Arch Version Repository Size
    ==============================================================================================================================================================================================Installing:
    gd-devel x86_64 2.0.35-26.el7 base
    79 k Installing for dependencies:
    expat-devel x86_64 2.1.0-8.el7
    base 56 k
    fontconfig-devel x86_64 2.10.95-7.el7
    base 128 k
    freetype-devel x86_64 2.4.11-10.el7_1.1
    updates 356 k
    gd x86_64 2.0.35-26.el7 base 146 k
    libX11-devel x86_64 1.6.0-2.1.el7
    base 979 k
    libXau-devel x86_64 1.0.8-2.1.el7
    base 14 k
    libXpm x86_64 3.5.10-5.1.el7 base 52 k
    libXpm-devel x86_64 3.5.10-5.1.el7
    base 36 k
    libjpeg-turbo-devel x86_64 1.2.90-5.el7
    base 98 k
    libpng-devel x86_64 2:1.5.13-5.el7
    base 121 k
    libxcb-devel x86_64 1.9-5.el7 base
    1.0 M
    xorg-x11-proto-devel noarch 7.7-8.el7.1
    base 281 k
    zlib-devel x86_64 1.2.7-13.el7
    base 49 k

    Transaction Summary
    ==============================================================================================================================================================================================Install 1 Package (+13 Dependent packages)

    Total download size: 3.3 M
    Installed size: 10 M
    Is this ok [y/d/N]: y Downloading packages:
    (1/14): gd-2.0.35-26.el7.x86_64.rpm | 146 kB 00:00:00
    (2/14): freetype-devel-2.4.11-10.el7_1.1.x86_64.rpm | 356 kB 00:00:00
    (3/14): libX11-devel-1.6.0-2.1.el7.x86_64.rpm | 979 kB 00:00:00
    (4/14): libXpm-3.5.10-5.1.el7.x86_64.rpm | 52 kB 00:00:00
    (5/14): libXpm-devel-3.5.10-5.1.el7.x86_64.rpm | 36 kB 00:00:00
    (6/14): libjpeg-turbo-devel-1.2.90-5.el7.x86_64.rpm | 98 kB 00:00:00
    (7/14): expat-devel-2.1.0-8.el7.x86_64.rpm | 56 kB 00:00:00
    (8/14): libpng-devel-1.5.13-5.el7.x86_64.rpm | 121 kB 00:00:00
    (9/14): gd-devel-2.0.35-26.el7.x86_64.rpm | 79 kB 00:00:00
    (10/14): xorg-x11-proto-devel-7.7-8.el7.1.noarch.rpm | 281 kB 00:00:00
    (11/14): fontconfig-devel-2.10.95-7.el7.x86_64.rpm | 128 kB 00:00:00
    (12/14): libXau-devel-1.0.8-2.1.el7.x86_64.rpm | 14 kB 00:00:00
    (13/14): zlib-devel-1.2.7-13.el7.x86_64.rpm | 49 kB 00:00:00
    (14/14): libxcb-devel-1.9-5.el7.x86_64.rpm | 1.0 MB 00:00:00
    ———————————————————————————————————————————————————————————————

  • 2015-04-27 1:30 GMT+03:00 John R Pierce :

    Commercial rhel split repos weird way. so, this user might need to enable some more redhat repos using subscription-manager or similar.

  • Hmm yeah guys. Sorry for the obvious screw up! Not much was done on this host yet. Actually it’s a free tier t-2 on AWS. So I think I’ll just trash it and start up an **actual** CentOS host and try again.

    Gotta learn to be in less of a hurry… ;)

    Thanks anyways!

    Tim

LEAVE A COMMENT